Prerequisites - BloomReach Experience - Open Source CMS

This article covers a Hippo CMS version 11. There's an updated version available that covers our most recent release.

02-11-2016

Prerequisites

Prepare your environment to create a Hippo project.

You start a new Hippo CMS 11.0 project by generating a Maven project from the Hippo 11.0 archetype. For this, you need a working installation of Java 8, and Maven version 3.2.1+.

This tutorial also assumes that you have some basic knowledge on how to use Maven. Make sure your Maven installation works properly and that, if you are on Windows, you don't have spaces in either your Maven installation path or the path to your local Maven repository.

Working with an IDE

Since Hippo CMS 10 is a Maven based project, you can open it and run it using almost any IDE you wish. Importing a Maven project into an IDE can really speed up your development, maintenance and testing procedures. Here are instructions on opening, running and debugging Hippo CMS 10 from within Eclipse or IntelliJ:

Continue to create the project

Did you find this page helpful?
How could this documentation serve you better?
On this page
    Did you find this page helpful?
    How could this documentation serve you better?